function GMMenuNex_OnLoad()
	--[[ Set Frame Title ]]--
	GMMenuNex_Title:SetText(GMM_TITLE)

	--[[ Set Category Text ]]--
	GMMenuNex_CatGive_Title:SetText(GMM_CAT_GIVE);
	GMMenuNex_CatChar_Title:SetText(TEXT("LOGIN_SERVER_CHARACTER"));
    GMMenuNex_CatPort_Title:SetText(GMM_CAT_PORT);
    GMMenuNex_CatCMEx_Title:SetText(GMM_CAT_CMCOMMAND);

	--[[ Set Button Text ]]--
	GMMenuNex_CatGive_Gold_Button:SetText(TEXT("SYS_MONEY_TYPE_0"));
	GMMenuNex_CatGive_Diamonds_Button:SetText(TEXT("SYS_MONEY_RUNE"));
	GMMenuNex_CatGive_Rubys_Button:SetText(TEXT("SYS_MONEY_TYPE_2"));
	GMMenuNex_CatGive_Phirius_Button:SetText(TEXT("SYS_MONEY_TYPE_3"));
	GMMenuNex_CatGive_Mementos_Button:SetText(TEXT("SYS_MONEY_TYPE_9"));
	GMMenuNex_CatGive_Shells_Button:SetText(TEXT("SYS_MONEY_TYPE_11"));
	GMMenuNex_CatGive_Justice_Button:SetText(TEXT("SYS_MONEY_TYPE_12"));
	GMMenuNex_CatGive_Item_Button:SetText(GMM_BTN_ITEMS);
	--
	GMMenuNex_CatChar_Level_Button:SetText(GMM_BTN_LEVEL);
	GMMenuNex_CatChar_XP_Button:SetText(GMM_BTN_XP);
	GMMenuNex_CatChar_TP_Button:SetText(GMM_BTN_TP);
	GMMenuNex_CatChar_MainClass:SetText(C_CLASS1);
	GMMenuNex_CatChar_SecClass:SetText(C_CLASS2);
	GMMenuNex_CatChar_Race:SetText(GMM_BTN_RACE);
	GMMenuNex_CatChar_Hide:SetText(GMM_BTN_HIDE);
	GMMenuNex_CatChar_Attact:SetText(GMM_BTN_ATTACT);
	GMMenuNex_CatChar_Attrib_Button:SetText(GMM_BTN_ATTRIB);
    --
    GMMenuNex_CatPort_PortZone:SetText(GMM_BTN_ZONE);
    GMMenuNex_CatPort_PortInstance:SetText(GMM_BTN_INSTANCE);
    GMMenuNex_CatPort_PortTo_Button:SetText(GMM_BTN_PORTTO);
    GMMenuNex_CatPort_PortFrom_Button:SetText(GMM_BTN_PORTFROM);
    --
    GMMenuNex_CatCMEx_Kill:SetText(GMM_BTN_KILL);
    GMMenuNex_CatCMEx_Heal:SetText(GMM_BTN_HEAL);
    --
    GMMenuNex_About_Label:SetText(GMM_ABOUT);
    --
    GMMenuNex_Broadcast_Label:SetText(GMM_LBL_BROADCAST);
    GMMenuNex_Broadcast_Button:SetText(GMM_BTN_SEND);

	--[[ Set Values ]]--
	GMMenuNex_CatGive_Gold_EditBox:SetText("1000000");
	GMMenuNex_CatGive_Diamonds_EditBox:SetText("1000");
	GMMenuNex_CatGive_Rubys_EditBox:SetText("5000");
	GMMenuNex_CatGive_Phirius_EditBox:SetText("1000");
	GMMenuNex_CatGive_Mementos_EditBox:SetText("500");
	GMMenuNex_CatGive_Shells_EditBox:SetText("100");
	GMMenuNex_CatGive_Justice_EditBox:SetText("250");
	GMMenuNex_CatGive_Item_EditBox:SetText("203091");
	--
	GMMenuNex_CatChar_Level_EditBox:SetText("80");
	GMMenuNex_CatChar_XP_EditBox:SetText("1000000");
	GMMenuNex_CatChar_TP_EditBox:SetText("100000");
	GMMenuNex_CatChar_Attrib_EditBox:SetText("60000000")

	--[[ Disables ]]--
	GMMenuNex_CatChar_Race:Disable();

	--[[ Set Table for GUI Functions ]]--
	GMMenuNex_Table = {
		["Functions"] = {
			["GMMenuNex_CatGive_Gold"] = function(text)
				ExecuteMacroLine("/gm ? givemoney "..text);
			end,
			["GMMenuNex_CatGive_Diamonds"] = function(text)
				ExecuteMacroLine("/gm ? givemoney_account "..text);
			end,
			["GMMenuNex_CatGive_Rubys"] = function(text)
				ExecuteMacroLine("/gm ? givemoney_bonus "..text);
			end,
			["GMMenuNex_CatGive_Phirius"] = function(text)
				ExecuteMacroLine("/gm ? give 203038 "..text);
			end,
			["GMMenuNex_CatGive_Mementos"] = function(text)
				ExecuteMacroLine("/gm ? give 206879 "..text);
			end,
			["GMMenuNex_CatGive_Shells"] = function(text)
				ExecuteMacroLine("/gm ? give 240181 "..text);
			end,
			["GMMenuNex_CatGive_Justice"] = function(text)
				ExecuteMacroLine("/gm ? give 201545 "..text);
			end,
			["GMMenuNex_CatGive_Item"] = function(text)
				ExecuteMacroLine("/gm ? give "..text);
			end,
			["GMMenuNex_CatChar_Level"] = function(text)
				ExecuteMacroLine("/gm ? setvalue lv "..text);
			end,
			["GMMenuNex_CatChar_XP"] = function(text)
				ExecuteMacroLine("/gm ? setvalue exp "..text);
			end,
			["GMMenuNex_CatChar_TP"] = function(text)
				ExecuteMacroLine("/gm ? setvalue tpexp "..text);
			end,
			["GMMenuNex_CatChar_MainClass"] = function()
				GMMenuNex_OpenSelection(GMM_SELECT_CLASS1, "Class", "MainClass");
			end,
			["GMMenuNex_CatChar_SecClass"] = function()
				GMMenuNex_OpenSelection(GMM_SELECT_CLASS2, "Class", "SecClass");
			end,
			["GMMenuNex_CatChar_Race"] = function()
				GMMenuNex_OpenSelection(GMM_SELECT_RACE, "Race", "Race");
			end,
			["GMMenuNex_CatChar_Hide"] = function()
				ExecuteMacroLine("/gm ? gmhide");
			end,
			["GMMenuNex_CatChar_Attact"] = function()
				ExecuteMacroLine("/gm ? attackflag");
			end,
			["GMMenuNex_CatChar_Attrib"] = function(text)
				ExecuteMacroLine("/gm ? setvalue str "..text);
				ExecuteMacroLine("/gm ? setvalue agi "..text);
				ExecuteMacroLine("/gm ? setvalue sta "..text);
				ExecuteMacroLine("/gm ? setvalue int "..text);
				ExecuteMacroLine("/gm ? setvalue mnd "..text);
			end,
			["GMMenuNex_CatPort_PortZone"] = function()
				GMMenuNex_OpenSelection(GMM_SELECT_ZONE, "Zone", "Zone");
				GMMenuNex:Hide();
			end,
			["GMMenuNex_CatPort_PortInstance"] = function()
				GMMenuNex_OpenSelection(GMM_SELECT_ZONE, "Instance", "Instance");
				GMMenuNex:Hide();
			end,
			["GMMenuNex_CatPort_PortTo"] = function(text)
				ExecuteMacroLine("/gm ? gotoplayername "..text);
				GMMenuNex:Hide();
			end,
			["GMMenuNex_CatPort_PortFrom"] = function(text)
				ExecuteMacroLine("/gm ? callplayername "..text);
				GMMenuNex:Hide();
			end,
			["GMMenuNex_CatCMEx_Kill"] = function()
				ExecuteMacroLine("/gm ? killid %T_ID");
			end,
			["GMMenuNex_CatCMEx_Heal"] = function()
				ExecuteMacroLine("/gm ? full %T_ID");
			end,
			["GMMenuNex_Broadcast"] = function(text)
				if (text ~= "") then
					--DEFAULT_CHAT_FRAME:AddMessage("BC-Text: /gm ? bcastall \""..text.."\"");
					ExecuteMacroLine("/gm ? bcastall \""..text.."\"");
				end;
			end,
			["SelectList"] = {
				["MainClass"] = function(ID)
					ExecuteMacroLine("/gm ? setvalue job "..GMMenuNex_Table["SelectList"]["Class"][tostring(ID)]["Value"]);
				end,
				["SecClass"] = function(ID)
					ExecuteMacroLine("/gm ? setvalue subjob "..GMMenuNex_Table["SelectList"]["Class"][tostring(ID)]["Value"]);
				end,
				["Race"] = function(ID)
					ExecuteMacroLine("/gm ? setvalue race "..GMMenuNex_Table["SelectList"]["Race"][tostring(ID)]["Value"]);
				end,
				["Zone"] = function(ID)
					ExecuteMacroLine("/gm ? zone "..GMMenuNex_Table["SelectList"]["Zone"][tostring(ID)]["Value"]);
				end,
				["Instance"] = function(ID)
					ExecuteMacroLine("/gm ? zone "..GMMenuNex_Table["SelectList"]["Instance"][tostring(ID)]["Value"]);
				end,
			}
		},
		["SelectList"] = {
			["Class"] = {
				["Count"] = 11,
				["1"] = {		-- Gamemaster
					["Name"]	= TEXT("SYS_CLASSNAME_GM"),
					["Value"]	= 0
				},
				["2"] = {		-- Krieger
					["Name"]	= TEXT("SYS_CLASSNAME_WARRIOR"),
					["Value"]	= 1
				},
				["3"] = {		-- Kundschafter
					["Name"]	= TEXT("SYS_CLASSNAME_RANGER"),
					["Value"]	= 2
				},
				["4"] = {		-- Schurke
					["Name"]	= TEXT("SYS_CLASSNAME_THIEF"),
					["Value"]	= 3
				},
				["5"] = {		-- Magier
					["Name"]	= TEXT("SYS_CLASSNAME_MAGE"),
					["Value"]	= 4
				},
				["6"] = {		-- Priester
					["Name"]	= TEXT("SYS_CLASSNAME_AUGUR"),
					["Value"]	= 5
				},
				["7"] = {		-- Ritter
					["Name"]	= TEXT("SYS_CLASSNAME_KNIGHT"),
					["Value"]	= 6
				},
				["8"] = {		-- Druide
					["Name"]	= TEXT("SYS_CLASSNAME_DRUID"),
					["Value"]	= 7
				},
				["9"] = {		-- Bewahrer
					["Name"]	= TEXT("SYS_CLASSNAME_WARDEN"),
					["Value"]	= 8
				},
				["10"] = {		-- Hexenmeister
					["Name"]	= TEXT("SYS_CLASSNAME_HARPSYN"),
					["Value"]	= 9
				},
				["11"] = {		-- Champion
					["Name"]	= TEXT("SYS_CLASSNAME_PSYRON"),
					["Value"]	= 10
				}
			},
			["Race"] = {
				["Count"] = 5,
				["1"] = {		--
					["Name"]	= LOGIN_HUMAN.." ("..LOGIN_MALE..")",
					["Value"]	= 0
				},
				["2"] = {		--
					["Name"]	= LOGIN_HUMAN.." ("..LOGIN_FEMALE..")",
					["Value"]	= 1
				},
				["3"] = {		--
					["Name"]	= LOGIN_ELF.." ("..LOGIN_MALE..")",
					["Value"]	= 2
				},
				["4"] = {		--
					["Name"]	= LOGIN_ELF.." ("..LOGIN_FEMALE..")",
					["Value"]	= 3
				},
				["5"] = {		--
					["Name"]	= LOGIN_DWARF.." ("..LOGIN_MALE..")",
					["Value"]	= 4
				},
			},
            ["Zone"] = {
                ["Count"] = 28,
                ["1"] = {		-- Heulende Berge
                    ["Name"]    = TEXT("ZONE_WAILING MOUNTAINS"),
                    ["Value"]   = "1 0 -1154.7 36.2 -5547.8"
                },
                ["2"] = {		-- Silberquell
                    ["Name"]    = TEXT("ZONE_SILVERSPRING"),
                    ["Value"]   = "2 0 2297.9 -1.0 1153.1"
                },
                ["3"] = {		-- Rabenfeld
                    ["Name"]    = TEXT("ZONE_RAVENFELL"),
                    ["Value"]   = "3 0 13855.0 26.7 6748.0"
                },
                ["4"] = {		-- Aslan-Tal
                    ["Name"]    = TEXT("ZONE_ASLAN"),
                    ["Value"]   = "4 0 -5917.0 592.8 2887.0"
                },
                ["5"] = {		-- Ystra-Hochland
                    ["Name"]    = TEXT("ZONE_HYBORA HIGHLANDS"),
                    ["Value"]   = "5 0 -14466.8 755.6 -169.9"
                },
                ["6"] = {		-- Staubteufel-Canyon
                    ["Name"]    = TEXT("ZONE_DUSTBLOOM CANYON"),
                    ["Value"]   = "6 0 -20459.8 -190.3 6506.5"
                },
                ["7"] = {		-- Küste der Wehklagen
                    ["Name"]    = TEXT("ZONE_WEEPING COAST"),
                    ["Value"]   = "7 0 19672.0 11.0 21906.9"
                },
                ["8"] = {		-- Wilde Lande
                    ["Name"]    = TEXT("ZONE_SAVAGE LANDS"),
                    ["Value"]   = "8 0 5924.0 188.6 20751.0"
                },
                ["9"] = {		-- Aotulia-Vulkan
                    ["Name"]    = TEXT("ZONE_MOUNT AL TURAJ"),
                    ["Value"]   = "9 0 -11207.0 972.2 26316.0"
                },
                ["10"] = {		-- Sascilia-Steppe
                    ["Name"]    = TEXT("ZONE_SASCILIA STEPPES"),
                    ["Value"]   = "10 0 -38730.0 0.0 1543.0"
                },
                ["11"] = {		-- Drachenzahngebirge
                    ["Name"]    = TEXT("ZONE_DRAGONFANG RIDGE"),
                    ["Value"]   = "11 0 -29454.0 253.0 -17630.0"
                },
                ["12"] = {		-- Elfeninsel
                    ["Name"]    = TEXT("ZONE_ELVEN CITADEL"),
                    ["Value"]   = "12 0 31760.3 -15.7 3592.0"
                },
                ["13"] = {		-- Küste der Gelegenheit
                    ["Name"]    = TEXT("ZONE_Z13_PELICO_COAST"),
                    ["Value"]   = "13 0 -6325.4 161.3 -3914.3"
                },
                ["14"] = {		-- Xaviera
                    ["Name"]    = TEXT("ZONE_Z14_XAVIERA"),
                    ["Value"]   = "14 0 982.6 324.7 13358.4"
                },
                ["15"] = {		-- Donnerhufhügel
                    ["Name"]    = TEXT("ZONE_THUNDERHOOF_MESA"),
                    ["Value"]   = "15 0 -4261.0 12.4 5050.0"
                },
                ["16"] = {		-- Südlicher Janostwald
                    ["Name"]    = TEXT("ZONE_SOUTH_JENOTAR_FOREST"),
                    ["Value"]   = "16 0 -5982.0 -148.8 21609.0"
                },
                ["17"] = {		-- Nördlicher Janostwald
                    ["Name"]    = TEXT("ZONE_NORTHERN_JANOST_FOREST"),
                    ["Value"]   = "17 0 3571.6 113.5 31635.7"
                },
                ["18"] = {		-- Wüste Limo
                    ["Name"]    = TEXT("ZONE_LYMOR_DESERT"),
                    ["Value"]   = "18 0 3085.2 84.9 47603.9"
                },
                ["19"] = {		-- Land des Unheils
                    ["Name"]    = TEXT("ZONE_SINISTER_LANDS"),
                    ["Value"]   = "19 0 -2894.1 118.9 49658.0"
                },
                ["20"] = {		-- Rothügelberge
                    ["Name"]    = TEXT("ZONE_Z20_RED_HILLS"),
                    ["Value"]   = "20 0 -16445.3 611.9 41033.7"
                },
                ["21"] = {		-- Tergothenbucht
                    ["Name"]    = TEXT("ZONE_TATURIN_GULF"),
                    ["Value"]   = "21 0 -26338.6 -106.3 29778.8"
                },
                ["22"] = {		-- Altes Königreich von Rorazan
                    ["Name"]    = TEXT("ZONE_Z22_OLD_ROJAN_KINGDOM"),
                    ["Value"]   = "22 0 -20732.1 565.9 -22756.7"
                },
                ["23"] = {		-- Chrysalia
                    ["Name"]    = TEXT("ZONE_Z23_QUESLANA"),
                    ["Value"]   = "23 0 -7794.4 718.8 -16589.3"
                },
                ["24"] = {		-- Merdhin-Tundra
                    ["Name"]    = TEXT("ZONE_Z24_MERDIN_TUNDRA"),
                    ["Value"]   = "24 0 3847.4 444.9 -7769.3"
                },
                ["25"] = {		-- Syrbalpass
                    ["Name"]    = TEXT("ZONE_Z25_SERBAYT_PASS"),
                    ["Value"]   = "25 0 -6557.7 1452.3 -7719.4"
                },
                ["26"] = {		-- Sarlo
                    ["Name"]    = TEXT("ZONE_Z26_ZHYRO"),
                    ["Value"]   = "26 0 -17896.6 801.9 -3340.5"
                },
                ["27"] = {		-- Höhlen von Yrvandis
                    ["Name"]    = TEXT("ZONE_Z31_IFANTRISH_CRYPT"),
                    ["Value"]   = "31 0"
                },
                ["28"] = {		-- Einführungsgebiet
                    ["Name"]    = TEXT("ZONE_TUTORIAL"),
                    ["Value"]   = "100 0 3225.7 0.3 3747.1"
                },
            },
            ["Instance"] = {
                ["Count"] = 48,
				["1"] = {		-- Karge Höhlen
					["Name"] = TEXT("ZONE_DGN_WRETCHED_GROTTO"),
					["Value"] = "110 0 1715 150 1380",
				},
				["2"] = {		-- Verlassene Abtei
					["Name"] = TEXT("ZONE_DGN_FORLORN_MONASTARY"),
					["Value"] = "102 0 1244 320 2905",
				},
				["3"] = {		-- Gräberstadt der Spiegel
					["Name"] = TEXT("ZONE_DGN_RELIQUARY_OF_REFLECTIONS"),
					["Value"] = "103 0 683 -107 782",
				},
				["4"] = {		-- Mystischer Altar
					["Name"] = TEXT("ZONE_DGN_MYSTIC_ALTAR"),
					["Value"] = "104 0 912 984 1795",
				},
				["5"] = {		-- Ameisenkönigin
					["Name"] = TEXT("ZONE_DGN_KALTUROK_QUEEN_CHAMBER"),
					["Value"] = "105 0 1496 391 1241",
				},
				["6"] = {		-- Schrein von Pasper
					["Name"] = TEXT("ZONE_DGN_BORSBURS"),
					["Value"] = "106 0 2801 79 3001",
				},
				["7"] = {		-- Schrein von Kalin
					["Name"] = TEXT("ZONE_DGN_KLEEON_TEMPLE"),
					["Value"] = "107 0 4721 680 854",
				},
				["8"] = {		-- Schatzhöhle
					["Name"] = TEXT("ZONE_DGN_THE_TREASURE_TROVE"),
					["Value"] = "108 0 3111 711 686",
				},
				["9"] = {		-- Eiszwergeninstanz 35
					["Name"] = TEXT("ZONE_DGN_MULGRUM_RELIC").." 35",
					["Value"] = "113 0 4305 229 2553",
				},
				["10"] = {		-- Eiszwergeninstanz 50
					["Name"] = TEXT("ZONE_DGN_MULGRUM_RELIC").." 50",
					["Value"] = "114 0 4305 229 2553",
				},
				["11"] = {		-- Höhle der Zyklopen
					["Name"] = TEXT("ZONE_TILEDGN_CITADEL_AGRIZA"),
					["Value"] = "252",
				},
				["12"] = {		-- Herz der Ozeans
					["Name"] = TEXT("ZONE_DGN_ECHOES_OF_THE_SEA"),
					["Value"] = "115 0 2399 657 3305",
				},
				["13"] = {		-- Halle der Überlebenden
					["Name"] = TEXT("ZONE_DGN_HALL_OF_SURVIVORS"),
					["Value"] = "117 0 -1465 1437 -2710",
				},
				["14"] = {		-- Kerker von Dalanis
					["Name"] = TEXT("ZONE_DGN_DAELANIS_JAIL"),
					["Value"] = "127 0 1771 433 2881",
				},
				["15"] = {		-- Ursprung
					["Name"] = TEXT("ZONE_DGN_THE_ORIGIN"),
					["Value"] = "116 0 1437 188 942",
				},
				["16"] = {		-- Höhle des Wasserdrachens
					["Name"] = TEXT("ZONE_DGN_MOONSPRING_HOLLOW"),
					["Value"] = "118 0 0 670 -2028",
				},
				["17"] = {		-- Hort des Dämonendrachen
					["Name"] = TEXT("ZONE_DGN_DRAGONS_NEST"),
					["Value"] = "119 0 3330 1491 3506",
				},
				["18"] = {		-- Zurhidon Feste
					["Name"] = TEXT("ZONE_DGN_NAGA_ACROPOLIS_ZURHIDON"),
					["Value"] = "120 0 605 1006 423",
				},
				["19"] = {		-- Halle des Dämonenfürsten
					["Name"] = TEXT("ZONE_DGN_NAGA_ACROPOLIS_LAIR"),
					["Value"] = "122 0 -303 755 717",
				},
				["20"] = {		-- Arena von Warnorken
					["Name"] = TEXT("ZONE_DGN_VENADURKEN_ARENA"),
					["Value"] = "129 0 2025 513 1909",
				},
				["21"] = {		-- Tempel der Raksha
					["Name"] = TEXT("ZONE_DGN_PESCHE_TEMPLE"),
					["Value"] = "130 0 1870 88 452",
				},
				["22"] = {		-- Grabmal von Kawak
					["Name"] = TEXT("ZONE_DGN_KAFKES_TOMB"),
					["Value"] = "134 0 1382 891 -2862",
				},
				["23"] = {		-- Alptraum von Varanas
					["Name"] = TEXT("ZONE_DGN_VARANAS_DREAMSCAPE"),
					["Value"] = "208 0 782 117 -1715",
				},
				["24"] = {		-- Ruinen des Königreichs von Magnork
					["Name"] = TEXT("ZONE_DGN_MENORCA_EMPIRE_RUINS"),
					["Value"] = "210 0 -1375 118 153",
				},
				["25"] = {		-- Pilzgarten
					["Name"] = TEXT("ZONE_EVENTDGN_MYCONID_FARM"),
					["Value"] = "301",
				},
				["26"] = {		-- Blutige Gallerie
					["Name"] = TEXT("ZONE_TILEDGN_BLOODY_GALLERY"),
					["Value"] = "201",
				},
				["27"] = {		-- Windmühlenkeller
					["Name"] = TEXT("ZONE_TILEDGN_WINDMILL_BASEMENT"),
					["Value"] = "250",
				},
				["28"] = {		-- Arkane Schatzkammer von Sathkur
					["Name"] = TEXT("ZONE_TILEDGN_LASKOTAR_ARCANE_CHAMBER"),
					["Value"] = "251",
				},
				["29"] = {		-- Seele der Sturmhöhle
					["Name"] = TEXT("ZONE_EVENTDGN_WIND_WILD_ANIMUS"),
					["Value"] = "302",
				},
				["30"] = {		-- Burg Grafu - Easy
					["Name"] = TEXT("ZONE_DGN_GRAF_CASTLE_EASY"),
					["Value"] = "138",
				},
				["31"] = {		-- Burg Grafu - Normal
					["Name"] = TEXT("ZONE_DGN_GRAF_CASTLE"),
					["Value"] = "137",
				},
				["32"] = {		-- Burg Grafu - Hard
					["Name"] = TEXT("ZONE_DGN_GRAF_CASTLE_HARD"),
					["Value"] = "136",
				},
				["33"] = {		-- Burg Sardo
					["Name"] = TEXT("ZONE_DGN_SARDO_BASTILLE"),
					["Value"] = "139 0 909 1470 -1420",
				},
				["34"] = {		-- Grab der sieben Helden - Easy
					["Name"] = TEXT("ZONE_DGN_TOMB_OF_SEVEN_HEROES_EASY"),
					["Value"] = "143",
				},
				["35"] = {		-- Grab der sieben Helden - Normal
					["Name"] = TEXT("ZONE_DGN_TOMB_OF_SEVEN_HEROES"),
					["Value"] = "142",
				},
				["36"] = {		-- Grab der sieben Helden - Hard
					["Name"] = TEXT("ZONE_DGN_TOMB_OF_SEVEN_HEROES_HARD"),
					["Value"] = "141",
				},
				["37"] = {		-- Ewiger Kreis - Easy
					["Name"] = TEXT("ZONE_DGN_ENCHANTED_ENTRANCE_EASY"),
					["Value"] = "145",
				},
				["38"] = {		-- Ewiger Kreis - Normal
					["Name"] = TEXT("ZONE_DGN_ENCHANTED_ENTRANCE"),
					["Value"] = "144",
				},
				["39"] = {		-- Knochennest der Kulech - Normal
					["Name"] = TEXT("ZONE_DGN_QRICH_CADAVER_DEN"),
					["Value"] = "148",
				},
				["40"] = {		-- Knochennest der Kulech - Hard
					["Name"] = TEXT("ZONE_DGN_QRICH_CADAVER_DEN_HARD"),
					["Value"] = "146",
				},
				["41"] = {		-- Bedim - Easy
					["Name"] = TEXT("ZONE_DGN_BEDIM_EASY"),
					["Value"] = "150",
				},
				["42"] = {		-- Bedim - Normal
					["Name"] = TEXT("ZONE_DGN_BEDIM"),
					["Value"] = "149",
				},
				["43"] = {		-- Bethomia - Easy
					["Name"] = TEXT("ZONE_DGN_BOUTMAN_HAUNT_EASY"),
					["Value"] = "153",
				},
				["44"] = {		-- Bethomia - Normal
					["Name"] = TEXT("ZONE_DGN_BOUTMAN_HAUNT"),
					["Value"] = "151",
				},
				["45"] = {		-- Bethomia - Hard
					["Name"] = TEXT("ZONE_DGN_BOUTMAN_HAUNT_HARD"),
					["Value"] = "152",
				},
				["46"] = {		-- Belathis-Festung - Easy
					["Name"] = TEXT("ZONE_DGN_BELLATIA_FORTS_EASY"),
					["Value"] = "156 0 894.0 1811.5 -2332.0",
				},
				["47"] = {		-- Belathis-Festung - Normal
					["Name"] = TEXT("ZONE_DGN_BELLATIA_FORTS"),
					["Value"] = "155 0 894.0 1811.5 -2332.0",
				},
				["48"] = {		-- Belathis-Festung - Hard
					["Name"] = TEXT("ZONE_DGN_BELLATIA_FORTS_HARD"),
					["Value"] = "154 0 894.0 1811.5 -2332.0",
				},
            }
		}
	};
end
--[[
"ZONE_DGN_CAVERN_OF_TRIALS"="Höhle der Prüfungen"
"ZONE_DGN_CHAOTIC_VORTEX_REALM_VILE"="Chaoswirbel: Böse"
"ZONE_DGN_DAELANIS_JAIL_EASY"="Kerker von Dalanis (einfach)"
"ZONE_DGN_ECHOES_OF_THE_SEA_EASY"="Herz des Ozeans (einfach)"
"ZONE_DGN_HALL_OF_SURVIVORS_EASY"="Halle der Überlebenden (einfach)"
"ZONE_DGN_KAFKES_TOMB_EASY"="Grabmal von Kawak (einfach)"
"ZONE_DGN_LEVIATHAN_LAIR"="ZONE_DGN_LEVIATHAN_LAIR"
"ZONE_DGN_LEVIATHAN_LAIR_EASY"="ZONE_DGN_LEVIATHAN_LAIR_EASY"
"ZONE_DGN_LEVIATHAN_LAIR_HARD"="ZONE_DGN_LEVIATHAN_LAIR_HARD"
"ZONE_DGN_PESCHE_TEMPLE_EASY"="Tempel der Raksha (einfach)"
"ZONE_DGN_PESCHE_TEMPLE_HARD"="Tempel der Raksha (schwer)"
"ZONE_DGN_QRICH_CADAVER_DEN_EASY"="Knochennest der Kulech (einfach)"
"ZONE_DGN_SAND_VORTEX"="Sandwirbel"
"ZONE_DGN_SARDO_BASTILLE_EASY"="Burg Sardo - Leichter Modus"
"ZONE_DGN_TAFFROCK_SOUTHSIDE"="Südliches Stahlfels"
"ZONE_DGN_VENADURKEN_ARENA_EASY"="Arena von Warnorken (einfach)"
"ZONE_DGN_WORLD_BATTLE_02"="Osalontal"

]]--

function GMMenuNex_SetupSelection(this)
	GMMenuNex_Selection_ScrollFrame = this
	UIPanelScrollFrame_OnLoad(this);
	GMMenuNex_ScrollBar = getglobal(this:GetName().."ScrollBar");
	GMMenuNex_ScrollBar:SetMinMaxValues(0, 1650);
	GMMenuNex_ScrollBar.scrollframe = GMMenuNex_Selection_ScrollFrame

	GMMenuNex_Selection_List_Button1:ClearAllAnchors();
	GMMenuNex_Selection_List_Button1:SetAnchor("TOP", "TOP", "GMMenuNex_Selection_List", 0, 1);
	GMMenuNex_Selection_List_Button1_Label:SetText("Button 1");
	for i = 2, 75 do
		getglobal("GMMenuNex_Selection_List_Button"..i):ClearAllAnchors();
		getglobal("GMMenuNex_Selection_List_Button"..i):SetAnchor("TOP", "BOTTOM", "GMMenuNex_Selection_List_Button"..(i-1), 0, 1);
	end
end

function GMMenuNex_ChangeSelectionScrollBar(Nums)
	GMMenuNex_SelectList_ScrollFrame_MaxValue = (Nums * 25) - 226;
	GMMenuNex_ScrollBar:SetMinMaxValues(0, GMMenuNex_SelectList_ScrollFrame_MaxValue);
	GMMenuNex_ScrollBar.scrollframe = GMMenuNex_Selection_ScrollFrame;
end

function GMMenuNex_OpenSelection(Title, Selection, SetValue)
	GMMenuNex_Selection_Title:SetText(Title);
	GMMenuNex_SelectList_List = SetValue;
	GMMenuNex_Selection_Count = GMMenuNex_Table["SelectList"][Selection]["Count"];
	GMMenuNex_ChangeSelectionScrollBar(GMMenuNex_Selection_Count);
	for i=1, GMMenuNex_Selection_Count do
		getglobal("GMMenuNex_Selection_List_Button"..i.."_Label"):SetText(GMMenuNex_Table["SelectList"][Selection][tostring(i)]["Name"]);
		getglobal("GMMenuNex_Selection_List_Button"..i):Show();
	end
	for i = GMMenuNex_Selection_Count + 1, 75 do
		--GMMenu_SelectList_Text = "";
		getglobal("GMMenuNex_Selection_List_Button"..i.."_Label"):SetText("");
		getglobal("GMMenuNex_Selection_List_Button"..i):Hide();
	end
	GMMenuNex_Selection:Show();
end
